<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SafeCampus.Core</name>
    </assembly>
    <members>
        <member name="T:SafeCampus.Core.CodeGenAttribute">
            <summary>
            代码生成
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IgnoreInitTableAttribute">
            <summary>
            忽略初始化表
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IgnoreSeedDataAddAttribute">
            <summary>
            种子数据忽略新增
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IgnoreSeedDataUpdateAttribute">
            <summary>
            种子数据忽略修改
            </summary>
        </member>
        <member name="T:SafeCampus.Core.RolePermissionAttribute">
            <summary>
            需要角色授权权限
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IgnoreRolePermissionAttribute">
            <summary>
            忽略角色授权权限
            </summary>
        </member>
        <member name="T:SafeCampus.Core.SuperAdminAttribute">
            <summary>
            管理员才能访问特性
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IgnoreSuperAdminAttribute">
            <summary>
            忽略超级管理员才能访问特性
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IdNotNull">
            <summary>
            验证Id不能为 空
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IdsNotNull">
            <summary>
            验证Id列表不能为空
            </summary>
        </member>
        <member name="T:SafeCampus.Core.BaseFileInput">
            <summary>
            文件上传输入参数
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseFileInput.File">
            <summary>
            文件
            </summary>
        </member>
        <member name="T:SafeCampus.Core.BaseIdInput">
            <summary>
            主键Id输入参数
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseIdInput.Id">
            <summary>
            主键Id
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseIdListInput.Ids">
            <summary>
            主键Id列表
            </summary>
        </member>
        <member name="T:SafeCampus.Core.IdListInput">
            <summary>
            Id列表输入
            </summary>
        </member>
        <member name="T:SafeCampus.Core.BasePageInput">
            <summary>
            全局分页查询输入参数
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BasePageInput.PageNum">
            <summary>
            当前页码
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BasePageInput.PageSize">
            <summary>
            每页条数
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BasePageInput.SortField">
            <summary>
            排序字段
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BasePageInput.SortOrder">
            <summary>
            排序方式，升序：ascend；降序：descend"
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BasePageInput.SearchKey">
            <summary>
            关键字
            </summary>
        </member>
        <member name="T:SafeCampus.Core.BaseSelectorOutput">
            <summary>
            基础选择器输出
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseSelectorOutput.Value">
            <summary>
             值
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseSelectorOutput.Label">
            <summary>
             显示文本
            </summary>
        </member>
        <member name="T:SafeCampus.Core.GzipCompressionComponent">
            <summary>
            Gzip压缩组件
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoggingConsoleComponent">
            <summary>
            日志写入文件的组件
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoggingFileComponent">
            <summary>
            日志写入文件的组件
            </summary>
        </member>
        <member name="M:SafeCampus.Core.LoggingFileComponent.SetLogOptions(MoYu.Logging.FileLoggerOptions,System.Nullable{Microsoft.Extensions.Logging.LogLevel})">
            <summary>
            日志格式化
            </summary>
            <param name="options"></param>
            <param name="logLevel"></param>
        </member>
        <member name="F:SafeCampus.Core.ApiGroupConsts.SYSTEM_Business">
            <summary>
            业务管理API
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXTOKEN">
            <summary>
            深象智能token
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXALARM">
            <summary>
            深象智能预警订阅topId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXALARM_Grpup">
            <summary>
            预警GroupId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXALARM_UPDATE">
            <summary>
            深象智能预警更新订阅topId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXALARM_UPDATE_Groupp">
            <summary>
            预警更新Group
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXCROSS_LINE">
            <summary>
            跨线事件订阅topId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXECOLOGY_ATTENDANCE">
            <summary>
            考勤事件订阅topId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXECOLOGY_ATTENDANCE_Group">
            <summary>
            考勤事件Group
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXROOM_CALL">
            <summary>
            点名事件订阅topId
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthConstants.SXROOM_CAL_Group">
            <summary>
            点名事件Group
            </summary>
        </member>
        <member name="T:SafeCampus.Core.ClaimConst">
            <summary>
            授权用户常量
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ClaimConst.USER_ID">
            <summary>
            用户Id
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ClaimConst.ACCOUNT">
            <summary>
            账号
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ClaimConst.NAME">
            <summary>
            名称
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ClaimConst.IS_SUPER_ADMIN">
            <summary>
            账号类型
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ClaimConst.ORG_ID">
            <summary>
            组织机构Id
            </summary>
        </member>
        <member name="F:SafeCampus.Core.SafeCampusConst.ZERO">
            <summary>
            0
            </summary>
        </member>
        <member name="F:SafeCampus.Core.SafeCampusConst.DeviceList">
            <summary>
            摄像头列表
            </summary>
        </member>
        <member name="F:SafeCampus.Core.SafeCampusConst.WarnGroup">
            <summary>
            告警分组
            </summary>
        </member>
        <member name="F:SafeCampus.Core.SafeCampusConst.ZDRY">
            <summary>
            重点人员库ID
            </summary>
        </member>
        <member name="T:SafeCampus.Core.MqttMessage">
            <summary>
            mqtt消息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.MqttMessage.MsgType">
            <summary>
            消息分类
            </summary>
        </member>
        <member name="P:SafeCampus.Core.MqttMessage.Data">
            <summary>
            消息内容
            </summary>
        </member>
        <member name="P:SafeCampus.Core.MqttMessage.DetTime">
            <summary>
            时间
            </summary>
        </member>
        <member name="T:SafeCampus.Core.TokenInfo">
            <summary>
            Token信息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.ClientIds">
            <summary>
            MQTT客户端ID列表
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.Device">
            <summary>
            设备
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.LoginClientType">
            <summary>
            登录端
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.Expire">
            <summary>
            过期时间
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.Token">
            <summary>
            Token
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.TokenTimeout">
            <summary>
            超时时间
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.TokenRemain">
            <summary>
            token剩余有效期
            </summary>
        </member>
        <member name="P:SafeCampus.Core.TokenInfo.TokenRemainPercent">
            <summary>
            token剩余有效期百分比
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.visual_fence">
            <summary>
            周界入侵
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.climb_over">
            <summary>
            翻越
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.crowd">
            <summary>
            人群聚集
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.fire_smoke">
            <summary>
            烟火告警
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.wander">
            <summary>
            可疑徘徊
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.blacklist">
            <summary>
            重点人员布控
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.run">
            <summary>
            奔跑
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.chase">
            <summary>
            追逐
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.fall_down">
            <summary>
            摔倒
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.cross_line">
            <summary>
            跨线
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.class_room_call">
            <summary>
            教室点名
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.lie_on_table">
            <summary>
            趴桌子
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.person_smoke">
            <summary>
            抽烟检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.animal_break_in">
            <summary>
            猫鼠检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.patrol">
            <summary>
            巡更检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.off_duty">
            <summary>
            离岗检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.fight">
            <summary>
            打闹检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.hat_detect">
            <summary>
            未戴帽子检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.mask_detect">
            <summary>
            未戴口罩检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.cloth_detect">
            <summary>
            未穿工作服检测
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.wash_hand">
            <summary>
            洗手行为采集
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.vehicle_parking">
            <summary>
            车辆违停
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AlarmType.vehicle_speeding">
            <summary>
            车辆超速
            </summary>
        </member>
        <member name="T:SafeCampus.Core.AuthDeviceTypeEnum">
            <summary>
            登录设备类型枚举
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthDeviceTypeEnum.PC">
            <summary>
            PC端
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthDeviceTypeEnum.APP">
            <summary>
            移动端
            </summary>
        </member>
        <member name="F:SafeCampus.Core.AuthDeviceTypeEnum.MINI">
            <summary>
            小程序
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoginClientTypeEnum">
            <summary>
            登录端类型枚举
            </summary>
        </member>
        <member name="F:SafeCampus.Core.LoginClientTypeEnum.B">
            <summary>
            B端
            </summary>
        </member>
        <member name="F:SafeCampus.Core.LoginClientTypeEnum.C">
            <summary>
            C端
            </summary>
        </member>
        <member name="F:SafeCampus.Core.CameraType.SXT001">
            <summary>
            厨房(良景)
            </summary>
        </member>
        <member name="F:SafeCampus.Core.CameraType.SXT002">
            <summary>
            教室(海康)
            </summary>
        </member>
        <member name="F:SafeCampus.Core.CameraType.SXT003">
            <summary>
            大厅(魔豆)
            </summary>
        </member>
        <member name="T:SafeCampus.Core.ErrorCodeEnum">
            <summary>
            通用错误码
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ErrorCodeEnum.A0000">
            <summary>
            系统异常
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ErrorCodeEnum.A0001">
            <summary>
            数据不存在
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ErrorCodeEnum.A0002">
            <summary>
            删除失败
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ErrorCodeEnum.A0003">
            <summary>
            操作失败
            </summary>
        </member>
        <member name="F:SafeCampus.Core.ErrorCodeEnum.A0004">
            <summary>
            没有权限
            </summary>
        </member>
        <member name="F:SafeCampus.Core.PersonType.child">
            <summary>
            儿童
            </summary>
        </member>
        <member name="F:SafeCampus.Core.PersonType.security">
            <summary>
            保安
            </summary>
        </member>
        <member name="F:SafeCampus.Core.PersonType.adult">
            <summary>
            大人
            </summary>
        </member>
        <member name="F:SafeCampus.Core.PersonType.unkonwn">
            <summary>
            不确定
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToLong(System.Object)">
            <summary>
            将object转换为long，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToLong(System.String,System.Int64)">
            <summary>
            将object转换为long，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToInt(System.Object)">
            <summary>
            将object转换为int，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToInt(System.Object,System.Int32)">
            <summary>
            将object转换为int，若转换失败，则返回指定值。不抛出异常。 
            null返回默认值
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToShort(System.Object)">
            <summary>
            将object转换为short，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToShort(System.Object,System.Int16)">
            <summary>
            将object转换为short，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDecimal(System.Object,System.Decimal)">
            <summary>
            将object转换为demical，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDecimal(System.Object)">
            <summary>
            将object转换为demical，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToBool(System.Object)">
            <summary>
            将object转换为bool，若转换失败，则返回false。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToBool(System.Object,System.Boolean)">
            <summary>
            将object转换为bool，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="result"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToFloat(System.Object)">
            <summary>
            将object转换为float，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToFloat(System.Object,System.Single)">
            <summary>
            将object转换为float，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="result"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToGuid(System.String)">
            <summary>
            将string转换为Guid，若转换失败，则返回Guid.Empty。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDateTime(System.String)">
            <summary>
            将string转换为DateTime，若转换失败，则返回日期最小值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDateTime(System.String,System.Nullable{System.DateTime})">
            <summary>
            将string转换为DateTime，若转换失败，则返回默认值。  
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToString(System.Object)">
            <summary>
            将object转换为string，若转换失败，则返回""。不抛出异常。  
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDouble(System.Object)">
            <summary>
            将object转换为double，若转换失败，则返回0。不抛出异常。  
            </summary>
            <param name="obj"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ParseToDouble(System.Object,System.Double)">
            <summary>
            将object转换为double，若转换失败，则返回指定值。不抛出异常。  
            </summary>
            <param name="str"></param>
            <param name="defaultValue"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.CastSuper``1(System.Collections.IEnumerable)">
            <summary>
            强制转换类型
            </summary>
            <typeparam name="TResult"></typeparam>
            <param name="source"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.YMDToUpper(System.DateTime)">
            <summary>
            年月日转换为大写
            </summary>
            <param name="date"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.YMToUpper(System.DateTime)">
            <summary>
            年月转换为大写
            </summary>
            <param name="date"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.StampToDatetime(System.Int64,System.Boolean)">
            <summary>
            时间戳转日期
            </summary>
            <param name="timeStamp"></param>
            <param name="isMinSeconds"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.StampToDatetime(System.String,System.Boolean)">
            <summary>
            时间戳转日期
            </summary>
            <param name="timeStamp"></param>
            <param name="isMinSeconds"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.ReplaceMatchStr(System.String,System.String,System.String,System.Boolean)">
            <summary>
            字符串正则替换
            </summary>
            <param name="targetStr"></param>
            <param name="patternStr"></param>
            <param name="replaceStr"></param>
            <param name="isRecursion"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.EnumToDictionary(System.Type)">
            <summary>
            转成dictionary类型
            </summary>
            <param name="enumType"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.EnumToEnumModel(System.Type)">
            <summary>
            转成dictionary类型
            </summary>
            <param name="enumType"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.EnumToDictionaryString(System.Type)">
            <summary>
            枚举成员转成键值对Json字符串
            </summary>
            <param name="enumType"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.Extensions.GetDescription(System.Enum)">
            <summary>
            获取枚举值对应的描述
            </summary>
            <param name="enumType"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Core.Extension.EnumModel.Description">
            <summary>
            描述
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.EnumModel.Name">
            <summary>
            属性名
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.EnumModel.Value">
            <summary>
            枚举值
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Extension.LinqExtension">
            <summary>
            Linq扩展
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LinqExtension.ContainsAll``1(System.Collections.Generic.List{``0},System.Collections.Generic.List{``0})">
            <summary>
            是否都包含
            </summary>
            <typeparam name="T"></typeparam>
            <param name="first">第一个列表</param>
            <param name="second">第二个列表</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Extension.LogHelper">
            <summary>
            日志帮助类
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Extension.LogHelper.Config">
            <summary>
            配置文件
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogHelper.GetLogWriter(System.Boolean)">
            <summary>
            写日志
            </summary>
            <param name="isError"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogHelper.WriteToLog(System.String)">
            <summary>
            写日志
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogHelper.WriteToLog(System.String[])">
            <summary>
            写日志
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogHelper.WriteToLog(System.String,System.String)">
            <summary>
            写日志
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogHelper.WriteToLog(System.Exception,System.String,System.String)">
            <summary>
            写日志(错误)
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Extension.LogConfig">
            <summary>
            日志目录配置
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogConfig.#ctor">
            <summary>
            构造函数
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogRoot">
            <summary>
            日志根目录
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogInfoFolder">
            <summary>
            普通信息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogErrorFolder">
            <summary>
            错误信息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogFolderFormat">
            <summary>
            文件夹日期格式
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogFileFormat">
            <summary>
            文件日志格式
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.LogConfig.LogFileExt">
            <summary>
            文件后缀名
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Extension.LogTools">
            <summary>
            日志工具
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteStart(System.IO.StreamWriter)">
            <summary>
            开始写日志
            </summary>
            <param name="writer"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteEnd(System.IO.StreamWriter)">
            <summary>
            结束写
            </summary>
            <param name="writer"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteTime(System.IO.StreamWriter)">
            <summary>
            写入时间
            </summary>
            <param name="writer"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteTitle(System.IO.StreamWriter,System.String,System.Boolean)">
            <summary>
            写入标题
            </summary>
            <param name="writer"></param>
            <param name="title"></param>
            <param name="isError"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteContent(System.IO.StreamWriter,System.String)">
            <summary>
            写入内容
            </summary>
            <param name="writer"></param>
            <param name="content"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteContent(System.IO.StreamWriter,System.String[])">
            <summary>
            写入内容
            </summary>
            <param name="writer"></param>
            <param name="contents"></param>
        </member>
        <member name="M:SafeCampus.Core.Extension.LogTools.WriteException(System.IO.StreamWriter,System.Exception)">
            <summary>
            写入异常
            </summary>
            <param name="writer"></param>
            <param name="ex"></param>
        </member>
        <member name="T:SafeCampus.Core.Extension.StreamWriterLock">
            <summary>
            文件锁
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Extension.StreamWriterLock.Writer">
            <summary>
            写入
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Extension.StreamWriterLock.#ctor(System.String)">
            <summary>
            构造函数
            </summary>
            <param name="filePath"></param>
        </member>
        <member name="F:SafeCampus.Core.Extension.StreamWriterLock.Lock">
            <summary>
            文件读写锁
            </summary>
        </member>
        <member name="T:SafeCampus.Core.ObjectExtension">
            <summary>
            object拓展
            </summary>
        </member>
        <member name="M:SafeCampus.Core.ObjectExtension.ToObject(System.String)">
            <summary>
            json字符串序列化
            </summary>
            <param name="json"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.ObjectExtension.ToObject``1(System.String)">
            <summary>
            json字符串序列化
            </summary>
            <typeparam name="T"></typeparam>
            <param name="json"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.ObjectExtension.ToJObject(System.String)">
            <summary>
            json字符串序列化
            </summary>
            <param name="json"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Core.AppInfoOptions.SXAPIURL">
            <summary>
            深象智能API_Host
            </summary>
        </member>
        <member name="P:SafeCampus.Core.AppInfoOptions.AppKey">
            <summary>
            AppKey
            </summary>
        </member>
        <member name="P:SafeCampus.Core.AppInfoOptions.AppSecret">
            <summary>
            AppSecret
            </summary>
        </member>
        <member name="P:SafeCampus.Core.AppInfoOptions.PoiId">
            <summary>
            场所ID
            </summary>
        </member>
        <member name="P:SafeCampus.Core.AppInfoOptions.TenantCode">
            <summary>
            租户ID
            </summary>
        </member>
        <member name="T:SafeCampus.Core.BaseOptions">
            <summary>
            默认业务配置
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseOptions.InitTable">
            <summary>
            初始化表
            </summary>
        </member>
        <member name="P:SafeCampus.Core.BaseOptions.InitSeedData">
            <summary>
            初始化数据
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoggingSetting">
            <summary>
            日志配置
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.Monitor">
            <summary>
            LoggingMonitor配置
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.MessageFormat">
            <summary>
            是否日志消息格式化
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.LogLevel">
            <summary>
            日志等级
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoggingSetting.MonitorOptions">
            <summary>
            LoggingMonitor配置
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.MonitorOptions.Write">
            <summary>
            写入文件
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.MonitorOptions.Console">
            <summary>
            写入控制台
            </summary>
        </member>
        <member name="T:SafeCampus.Core.LoggingSetting.LogLevelOptions">
            <summary>
            日志等级
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.LogLevelOptions.Default">
            <summary>
            默认日志等级
            </summary>
        </member>
        <member name="P:SafeCampus.Core.LoggingSetting.LogLevelOptions.MaxLevel">
            <summary>
            最大日志等级
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Options.TXSmsOptions.SecretId">
            <summary>
            腾讯云API密钥 SecretId
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Options.TXSmsOptions.SecretKey">
            <summary>
            腾讯云API密钥 SecretKey
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Options.TXSmsOptions.SmsAppId">
            <summary>
            腾讯云短信 Appid
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Options.TXSmsOptions.SmsSn">
            <summary>
            腾讯云短信 签名
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Options.TXSmsOptions.VerificationCodeId">
            <summary>
            验证码模板id
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Startup">
            <summary>
            AppStartup启动类
            </summary>
        </member>
        <member name="T:SafeCampus.Core.SafeCampusResult`1">
            <summary>
            全局返回结果
            </summary>
            <typeparam name="T"></typeparam>
        </member>
        <member name="P:SafeCampus.Core.SafeCampusResult`1.Code">
            <summary>
            状态码
            </summary>
        </member>
        <member name="P:SafeCampus.Core.SafeCampusResult`1.Msg">
            <summary>
            错误信息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.SafeCampusResult`1.Data">
            <summary>
            数据
            </summary>
        </member>
        <member name="P:SafeCampus.Core.SafeCampusResult`1.Extras">
            <summary>
            附加数据
            </summary>
        </member>
        <member name="P:SafeCampus.Core.SafeCampusResult`1.Time">
            <summary>
            时间
            </summary>
        </member>
        <member name="T:SafeCampus.Core.SafeCampusResultProvider">
            <summary>
            规范化RESTful风格返回值
            </summary>
        </member>
        <member name="M:SafeCampus.Core.SafeCampusResultProvider.OnException(Microsoft.AspNetCore.Mvc.Filters.ExceptionContext,MoYu.FriendlyException.ExceptionMetadata)">
            <summary>
            异常返回
            </summary>
            <param name="context"></param>
            <param name="metadata"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.SafeCampusResultProvider.OnSucceeded(Microsoft.AspNetCore.Mvc.Filters.ActionExecutedContext,System.Object)">
            <summary>
            成功返回
            </summary>
            <param name="context"></param>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.SafeCampusResultProvider.OnValidateFailed(Microsoft.AspNetCore.Mvc.Filters.ActionExecutingContext,MoYu.DataValidation.ValidationMetadata)">
            <summary>
            验证失败返回
            </summary>
            <param name="context"></param>
            <param name="metadata"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.SafeCampusResultProvider.OnResponseStatusCodes(Microsoft.AspNetCore.Http.HttpContext,System.Int32,MoYu.UnifyResult.UnifyResultSettingsOptions)">
            <summary>
            状态码响应拦截
            </summary>
            <param name="context"></param>
            <param name="statusCode"></param>
            <param name="unifyResultSettings"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.SafeCampusResultProvider.ResTfulResult(System.Int32,System.Boolean,System.Object,System.Object)">
            <summary>
            返回 RESTful 风格结果集
            </summary>
            <param name="statusCode">状态码</param>
            <param name="succeeded">是否成功</param>
            <param name="data">数据</param>
            <param name="errors">错误信息</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.CaptchaInfo">
            <summary>
            验证码信息
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.CaptchaInfo.Code">
            <summary>
            验证码
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.CaptchaInfo.Image">
            <summary>
            验证码数据流
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.CaptchaInfo.Base64Str">
            <summary>
            base64
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Utils.CaptchaType">
            <summary>
            验证码类型
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.CaptchaType.NUM">
            <summary>
            纯数字验证码
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.CaptchaType.CHAR">
            <summary>
            数字加字母验证码
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.CaptchaType.ARITH">
            <summary>
            数字运算验证码
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Utils.CaptchaUtil">
            <summary>
            生成验证码功能
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.CaptchaUtil.CreateCaptcha(SafeCampus.Core.Utils.CaptchaType,System.Int32,System.Int32,System.Int32,System.Int32)">
            <summary>
            获取验证码
            </summary>
            <param name="length">验证码数</param>
            <param name="width">长度</param>
            <param name="height">高度</param>
            <param name="fontSize">字体大小</param>
            <param name="type">类型 0：数字 1：字符 2：计算</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CaptchaUtil.CreateNumCode(System.Int32)">
            <summary>
            获取数字验证码
            </summary>
            <param name="n">验证码数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CaptchaUtil.CreateCharCode(System.Int32)">
            <summary>
            获取字符验证码
            </summary>
            <param name="n">验证码数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CaptchaUtil.CreateArithCode(System.String@)">
            <summary>
            获取运算符验证码
            </summary>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.CommonUtils">
            <summary>
            公共功能
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.CommonUtils.GetSingleId">
            <summary>
            获取唯一Id
            </summary>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.CryptogramUtil">
            <summary>
            加解密功能
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.CryptogramUtil.Sm2Decrypt(System.String)">
            <summary>
            SM2解密
            </summary>
            <param name="str">密文</param>
            <returns>明文</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CryptogramUtil.Sm2Encrypt(System.String)">
            <summary>
            SM2加密
            </summary>
            <param name="str">明文</param>
            <returns>密文</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CryptogramUtil.Sm4Decrypt(System.String)">
            <summary>
            SM4解密
            </summary>
            <param name="str">密文</param>
            <returns>明文</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.CryptogramUtil.Sm4Encrypt(System.String)">
            <summary>
            SM4加密
            </summary>
            <param name="str">明文</param>
            <returns>密文</returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.SM2Util">
            <summary>
            SM2加密解密
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM2Util.PublicKey">
            <summary>
            公钥
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM2Util.PrivateKey">
            <summary>
            私钥
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2Util.Encrypt(System.String)">
            <summary>
            公钥加密明文
            </summary>
            <param name="plainText">明文</param>
            <returns>密文</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2Util.Decrypt(System.String)">
            <summary>
            私钥解密密文
            </summary>
            <param name="cipherText">密文</param>
            <returns>明文</returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.SM4Util">
            <summary>
            Sm4算法
            对标国际DES算法
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM4Util.Data">
            <summary>
            数据
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM4Util.Key">
            <summary>
            秘钥
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM4Util.Iv">
            <summary>
            向量
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM4Util.HexString">
            <summary>
            明文是否是十六进制
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM4Util.CryptoMode">
            <summary>
            加密模式(默认ECB)
            统一改为ECB模式
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4Util.EncryptECB(SafeCampus.Core.Utils.SM4Util)">
            <summary>
            ECB加密
            </summary>
            <param name="entity"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4Util.EncryptCBC(SafeCampus.Core.Utils.SM4Util)">
            <summary>
            CBC加密
            </summary>
            <param name="entity"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4Util.Decrypt(SafeCampus.Core.Utils.SM4Util)">
            <summary>
            解密
            </summary>
            <param name="entity"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4Util.DecryptECB(SafeCampus.Core.Utils.SM4Util)">
            <summary>
             ECB解密
            </summary>
            <param name="entity"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4Util.DecryptCBC(SafeCampus.Core.Utils.SM4Util)">
            <summary>
            CBC解密
            </summary>
            <param name="entity"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.SM4Util.Sm4CryptoEnum">
            <summary>
            加密类型
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM4Util.Sm4CryptoEnum.ECB">
            <summary>
            ECB(电码本模式)
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM4Util.Sm4CryptoEnum.CBC">
            <summary>
            CBC(密码分组链接模式)
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Utils.SM2CryptoUtil">
            <summary>
            SM2工具类
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2CryptoUtil.GetKey">
            <summary>
            获取公钥私钥
            </summary>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2CryptoUtil.Encrypt(System.String,System.String)">
            <summary>
            加密
            </summary>
            <param name="publickey">公钥</param>
            <param name="sourceData">需要加密的值</param>
            <returns>加密结果</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2CryptoUtil.Encrypt(System.Byte[],System.Byte[])">
            <summary>
            加密
            </summary>
            <param name="publicKey">公钥</param>
            <param name="data">需要加密的值</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2CryptoUtil.Decrypt(System.String,System.String)">
             <summary>
            
             </summary>
             <param name="privateKey"></param>
             <param name="encryptedData"></param>
             <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM2CryptoUtil.Decrypt(System.Byte[],System.Byte[])">
            <summary>
            解密
            </summary>
            <param name="privateKey"></param>
            <param name="encryptedData"></param>
            <returns></returns>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM2CryptoUtil.SM2Model.PublicKey">
            <summary>
            公钥
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.SM2CryptoUtil.SM2Model.PrivateKey">
            <summary>
            私钥
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Utils.SM4CryptoUtil">
            <summary>
            SM4工具类
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.GetULongByBe(System.Byte[],System.Int32)">
            <summary>
            加密 非线性τ函数B=τ(A)
            </summary>
            <param name="b"></param>
            <param name="i"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.PutULongToBe(System.Int64,System.Byte[],System.Int32)">
            <summary>
            解密 非线性τ函数B=τ(A)
            </summary>
            <param name="n"></param>
            <param name="b"></param>
            <param name="i"></param>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Rotl(System.Int64,System.Int32)">
            <summary>
            循环移位,为32位的x循环左移n位
            </summary>
            <param name="x"></param>
            <param name="n"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Swap(System.Int64[],System.Int32)">
            <summary>
            将密钥逆序
            </summary>
            <param name="sk"></param>
            <param name="i"></param>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM4CryptoUtil.SboxTable">
            <summary>
            S盒
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM4CryptoUtil.FK">
            <summary>
            系统参数FK
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.SM4CryptoUtil.CK">
            <summary>
            固定参数CK
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4Sbox(System.Byte)">
            <summary>
            Sm4的S盒取值
            </summary>
            <param name="inch"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4Lt(System.Int64)">
            <summary>
            线性变换 L
            </summary>
            <param name="ka"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4F(System.Int64,System.Int64,System.Int64,System.Int64,System.Int64)">
            <summary>
            轮函数 F
            </summary>
            <param name="x0"></param>
            <param name="x1"></param>
            <param name="x2"></param>
            <param name="x3"></param>
            <param name="rk"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4CalciRk(System.Int64)">
            <summary>
            轮密钥rk
            </summary>
            <param name="ka"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.SetKey(System.Int64[],System.Byte[])">
            <summary>
            加密密钥
            </summary>
            <param name="SK"></param>
            <param name="key"></param>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4OneRound(System.Int64[],System.Byte[],System.Byte[])">
            <summary>
            解密函数
            </summary>
            <param name="sk">轮密钥</param>
            <param name="input">输入分组的密文</param>
            <param name="output">输出的对应的分组明文</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Padding(System.Byte[],System.Int32)">
            <summary>
            补足 16 进制字符串的 0 字符，返回不带 0x 的16进制字符串
            </summary>
            <param name="input"></param>
            <param name="mode">1表示加密，0表示解密</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.SetKeyEnc(SafeCampus.Core.Utils.Sm4Context,System.Byte[])">
            <summary>
            设置加密的key
            </summary>
            <param name="ctx"></param>
            <param name="key"></param>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4SetKeyDec(SafeCampus.Core.Utils.Sm4Context,System.Byte[])">
            <summary>
            设置解密的key
            </summary>
            <param name="ctx"></param>
            <param name="key"></param>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4CryptEcb(SafeCampus.Core.Utils.Sm4Context,System.Byte[])">
            <summary>
            ECB
            </summary>
            <param name="ctx"></param>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.SM4CryptoUtil.Sm4CryptCbc(SafeCampus.Core.Utils.Sm4Context,System.Byte[],System.Byte[])">
            <summary>
            CBC
            </summary>
            <param name="ctx"></param>
            <param name="iv"></param>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.Sm4Context">
            <summary>
            SM4处理中心
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.Sm4Context.Mode">
            <summary>
            1表示加密，0表示解密
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.Sm4Context.Key">
            <summary>
            密钥
            </summary>
        </member>
        <member name="F:SafeCampus.Core.Utils.Sm4Context.IsPadding">
            <summary>
            是否补足16进制字符串
            </summary>
        </member>
        <member name="T:SafeCampus.Core.Utils.AvatarUtil">
            <summary>
            头像功能
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.AvatarUtil.GetNameColor(System.String)">
            <summary>
            获取姓名对应的颜色值
            </summary>
            <param name="name"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.AvatarUtil.GetNameImage(System.String,System.Int32,System.Int32)">
            <summary>
            获取姓名对应的图片
            </summary>
            <param name="name"></param>
            <param name="width"></param>
            <param name="height"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.AvatarUtil.GetNameImageBase64(System.String,System.Int32,System.Int32)">
            <summary>
            获取图片base64格式
            </summary>
            <param name="name">名称</param>
            <param name="width">宽</param>
            <param name="height">高</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.AvatarUtil.IsChinese(System.String)">
            <summary>
            用 正则表达式 判断字符是不是汉字
            </summary>
            <param name="text">待判断字符或字符串</param>
            <returns>真：是汉字；假：不是</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ImgToBase64String(SkiaSharp.SKImage)">
            <summary>
            图片转换成base64
            </summary>
            <param name="img"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ImgToBase64String(SkiaSharp.SKBitmap)">
            <summary>
            图片转换成base64
            </summary>
            <param name="bmp"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.GetBitmapFromBase64(System.String)">
            <summary>
            base64转bitmap
            </summary>
            <param name="base64String"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.GetSkBitmapFromBase64(System.String)">
            <summary>
            base64转bitmap
            </summary>
            <param name="base64String"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ToImageBase64(System.String)">
            <summary>
            base64转image格式
            </summary>
            <param name="base64String"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ResizeImage(System.Drawing.Image,System.Drawing.Size)">
            <summary>
            重新修改尺寸
            </summary>
            <param name="imgToResize">图片</param>
            <param name="size">尺寸</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ResizeImage(System.Drawing.Bitmap,System.Int32,System.Int32)">
            <summary>
            Resize图片
            </summary>
            <param name="bmp">原始Bitmap </param>
            <param name="newW">新的宽度</param>
            <param name="newH">新的高度</param>
            <returns>处理以后的图片</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.ResizeImage(SkiaSharp.SKBitmap,System.Int32,System.Int32)">
            <summary>
            Resize图片
            </summary>
            <param name="bmp">原始Bitmap </param>
            <param name="newW">新的宽度</param>
            <param name="newH">新的高度</param>
            <returns>处理以后的图片</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.GetPicThumbnail(System.Drawing.Bitmap,System.Int32,System.Int32)">
            <summary>
            获取缩略图
            </summary>
            <param name="bmp"></param>
            <param name="w">宽</param>
            <param name="h">高</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ImageUtil.GetPicThumbnail(SkiaSharp.SKBitmap,System.Int32,System.Int32)">
            <summary>
            获取缩略图
            </summary>
            <param name="bmp"></param>
            <param name="w">宽</param>
            <param name="h">高</param>
            <returns></returns>
        </member>
        <member name="T:SafeCampus.Core.Utils.PwdUtil">
            <summary>
            密码相关通用类
            </summary>
        </member>
        <member name="M:SafeCampus.Core.Utils.PwdUtil.Similarity(System.String,System.String)">
            <summary>
            密码相似度
            </summary>
            <param name="oldPassword"></param>
            <param name="newPassword"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.PwdUtil.LevenshteinDistance(System.String,System.String)">
            <summary>
            计算莱文斯坦距离算法
            </summary>
            <param name="s1"></param>
            <param name="s2"></param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.TXYSMS.TxySmsUtil.SendSms(System.String[],System.String[])">
            <summary>
            发送短信
            </summary>
            <param name="phone">new[] { $"+86{phone}" } 手机号码</param>
            <param name="content">new[] { code.ToString(), "5" } 内容参数</param>
            <returns></returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFile(System.String,System.String,System.Int32,System.Int32)">
            <summary>
            压缩单个文件
            </summary>
            <param name="fileToZip">要压缩的文件</param>
            <param name="zipedFile">压缩后的文件</param>
            <param name="compressionLevel">压缩等级</param>
            <param name="blockSize">每次写入大小</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFile(System.String,System.String)">
            <summary>
            压缩单个文件
            </summary>
            <param name="fileToZip">要进行压缩的文件名</param>
            <param name="zipedFile">压缩后生成的压缩文件名</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFile(System.Collections.Generic.List{System.String},System.String)">
            <summary>
            压缩多个文件到指定路径
            </summary>
            <param name="sourceFileNames">压缩到哪个路径</param>
            <param name="zipFileName">压缩文件名称</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFileDirectory(System.String,System.String)">
            <summary>
            压缩多层目录
            </summary>
            <param name="strDirectory">待压缩目录</param>
            <param name="zipedFile">压缩后生成的压缩文件名，绝对路径</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFileDirectory(System.String,System.String,System.Collections.Generic.List{System.String})">
            <summary>
            压缩多层目录
            </summary>
            <param name="strDirectory">待压缩目录</param>
            <param name="zipedFile">压缩后生成的压缩文件名，绝对路径</param>
            <param name="files">指定要压缩的文件列表(完全路径)</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipSetp(System.String,ICSharpCode.SharpZipLib.Zip.ZipOutputStream,System.String,System.Collections.Generic.List{System.String})">
            <summary>
            递归遍历目录
            </summary>
            <param name="strDirectory">需遍历的目录</param>
            <param name="s">压缩输出流对象</param>
            <param name="parentPath">The parent path.</param>
            <param name="files">需要压缩的文件</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.UnZip(System.String,System.String,System.Boolean,System.String)">
            <summary>
            解压缩一个 zip 文件。
            </summary>
            <param name="zipedFile">压缩文件</param>
            <param name="strDirectory">解压目录</param>
            <param name="password">zip 文件的密码。</param>
            <param name="overWrite">是否覆盖已存在的文件。</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.UnZip(System.String,System.String,System.Boolean)">
            <summary>
            解压缩一个 zip 文件。
            </summary>
            <param name="zipedFile">压缩文件</param>
            <param name="strDirectory">解压目录</param>
            <param name="overWrite">是否覆盖已存在的文件。</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.UnZip(System.String,System.String)">
            <summary>
            解压缩一个 zip 文件。
            覆盖已存在的文件。
            </summary>
            <param name="zipedFile">压缩文件</param>
            <param name="strDirectory">解压目录</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.GetFiles(System.String,System.Collections.Generic.List{System.String})">
            <summary>
            获取压缩文件中指定类型的文件
            </summary>
            <param name="zipedFile">压缩文件</param>
            <param name="fileExtension">文件类型(.txt|.exe)</param>
            <returns>文件名称列表(包含子目录)</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.GetFiles(System.String)">
            <summary>
            获取压缩文件中的所有文件
            </summary>
            <param name="zipedFile">压缩文件</param>
            <returns>文件名称列表(包含子目录)</returns>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.ZipFiles(System.String,System.Collections.Generic.List{SafeCampus.Core.Utils.FileItem},System.String@,System.Boolean)">
            <summary>
            打包线上线下文件
            </summary>
            <param name="zipName">压缩文件名称</param>
            <param name="fileList">文件列表</param>
            <param name="error">保存路径</param>
            <param name="isLocal">是否本地</param>
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.CompressDirectory(System.String,System.Boolean)">
            压缩文件夹
            要打包的文件夹
            是否删除原文件夹
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.GetAllFies(System.String)">
            
             获取所有文件
            
            
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.GetAllDirsFiles(System.IO.DirectoryInfo[],System.Collections.Generic.Dictionary{System.String,System.DateTime})">
            
             获取一个文件夹下的所有文件夹里的文件
            
            
            
        </member>
        <member name="M:SafeCampus.Core.Utils.ZipUtils.GetAllDirFiles(System.IO.DirectoryInfo,System.Collections.Generic.Dictionary{System.String,System.DateTime})">
            
             获取一个文件夹下的文件
            
             目录名称
             文件列表HastTable
        </member>
        <member name="T:SafeCampus.Core.Utils.FileItem">
            <summary>
            文件对象
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.FileItem.FileName">
            <summary>
            文件名称
            </summary>
        </member>
        <member name="P:SafeCampus.Core.Utils.FileItem.FilePath">
            <summary>
            文件路径
            </summary>
        </member>
    </members>
</doc>
